goalOpenTrunk.mSteps = 
{
	{ action = "click", object = objectPoiTireFlat, state = kActive },
	{ action = "click", object = objectIoTrunkClosed, state = kActive },
	{ action = "click", object = objectIoCarBackTrunkLock, state = kActive },
	{ action = "click", object = objectPoiGloveBoxClosed },	--> Starts goalFindChisel
	-- The mSteps list of goalFindChisel will make sure a chisel is found
	{ action = "click", object = objectIoGlovebox, selection = objectHoChisel },
	{ action = "click", object = objectHoTrunkKey },
	{ action = "click", object = objectIoTrunkClosed },
	{ action = "click", object = objectIoCarBackTrunkLock, selection = objectHoTrunkKey },
	{ action = "click", object = objectPoiTrunkOpen },
}

goalOpenTrunk.readyToStart = false
-- ----------------------------------------------------------------------------
function goalOpenTrunk:shouldStart()

	return self.readyToStart

end
-- ----------------------------------------------------------------------------
function goalOpenTrunk:onStarted()

	objectHoTrunkKey:ss(kActive)
	objectPoiGloveBoxClosed:ss(kActive)
	objectIoGlovebox:ss(kActive)
	
end
-- ----------------------------------------------------------------------------
function goalOpenTrunk:onClickIO(layout, object, props, x, y)
	
	if (object == objectIoCarBackTrunkLock) then
		
		self.readyToStart = true
		
	end
	
end
-- ----------------------------------------------------------------------------
function goalOpenTrunk:onAnimationFinish(animationName)

	-- "openTrunk_blocking" is started from layoutWoods1Trunk
	if (animationName == "openTrunk_blocking") then
		self:achieved()
		
	end
end
